nlohmann::detail::has_to_json< BasicJsonType, T, enable_if_t< not is_basic_json< T >::value > > Struct Template Reference

`#include <json.hpp>`

## Public Types

using | serializer = typename BasicJsonType::template json_serializer< T, void >

## Static Public Attributes

static constexpr bool | value

## Member Typedef Documentation

## serializer

template<typename BasicJsonType , typename T >

using nlohmann::detail::has_to_json< BasicJsonType, T, enable_if_t< not is_basic_json< T >::value > >::serializer = typename BasicJsonType::template json_serializer<T, void>

## Member Data Documentation

## value

template<typename BasicJsonType , typename T >

constexpr bool nlohmann::detail::has_to_json< BasicJsonType, T, enable_if_t< not is_basic_json< T >::value > >::value

staticconstexpr

Initial value:
=
is_detected_exact<void, to_json_function, serializer, BasicJsonType&,
T>::value

The documentation for this struct was generated from the following file:

- build/_deps/json-src/include/nlohmann/json.hpp

nlohmann::detail::has_to_json< BasicJsonType, T, enable_if_t< not is_basic_json< T >::value > >::value
static constexpr bool value
Definition: json.hpp:2558
nlohmann::detail::void
j template void())
Definition: json.hpp:3108
nlohmann::detail::to_json_function
decltype(T::to_json(std::declval< Args >()...)) to_json_function
Definition: json.hpp:2510
nlohmann::detail::has_to_json< BasicJsonType, T, enable_if_t< not is_basic_json< T >::value > >::serializer
typename BasicJsonType::template json_serializer< T, void > serializer
Definition: json.hpp:2556
nlohmann::detail::is_detected_exact
std::is_same< Expected, detected_t< Op, Args... > > is_detected_exact
Definition: json.hpp:2376